Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038050
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2018-03-06 10:472018-03-22 15:09
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision8486f723f504
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038050: Wrong "Paid in full date" set when a backdated invoice is registered associated to a backdated prepaid order

DescriptionIn case backdated sales order is registered and prepaid, when related backdated sales invoice is completed field "Paid in full date" is set to today instead of to payment's date
Steps To Reproduce1. Register Sales Order setting date of one month ago and Invoice Terms=Immediate. Add any line and process
2. Run Add Payment process setting date of one month ago and prepaid the order
3. Register Sales Invoice setting date of one month ago. Run "Create lines from" process and select previous order. Process invoice and realize that it is properly set as Paid but "Paid in full date" has been set to today's date instead of one month ago
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103172)
markmm82 (developer)
2018-03-12 21:47

Test Plan:
1. Register Sales Order setting date of one month ago, for instance = 12-02-2018 and Invoice Terms=Immediate. Add any line and process
2. Run Add Payment process setting date of one month ago, for instance = 15-02-2018 and prepaid the order
3. Register Sales Invoice setting date of one month ago. Run "Create lines from" process and select previous order. Process invoice and realize that it is properly set as Paid and "Paid in full date" has been set to 15-02-2018 as it was the last payment date for the prepaid order.
(0103406)
hgbot (developer)
2018-03-22 08:29

Repository: erp/devel/pi
Changeset: 8486f723f504f0ff9b55089a831f368cc6cdf499
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Mar 12 16:40:55 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/8486f723f504f0ff9b55089a831f368cc6cdf499 [^]

Fixes issue 38050: Wrong "Paid in full date" set when a backdated invoice
is registered associated to a backdated prepaid order

If the invoice is registered associated to a backdated prepaid order and it is
paid, then "Paid in full date" is updated with the last payment date instead of
the date in wich the invoice is processed.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
---
(0103407)
hgbot (developer)
2018-03-22 08:29

Repository: erp/devel/pi
Changeset: 479d562459f98ed6f495da26367e02f39aa2da2f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Mar 21 18:52:01 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/479d562459f98ed6f495da26367e02f39aa2da2f [^]

Related to Issue 38050. Changed query to retrieve last payment date
for an Invoice to follow the same logic as in Java
(FIN_AddPayment.getFinalSettlementDate())

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
---
(0103408)
dmiguelez (developer)
2018-03-22 08:30

Code Review + Testing Ok
(0103432)
hudsonbot (developer)
2018-03-22 15:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3e905f6a2434 [^]
Maturity status: Test
(0103433)
hudsonbot (developer)
2018-03-22 15:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3e905f6a2434 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-06 10:47 maite New Issue
2018-03-06 10:47 maite Assigned To => Triage Finance
2018-03-06 10:47 maite Modules => Advanced Payables and Receivables Mngmt
2018-03-06 10:47 maite Triggers an Emergency Pack => No
2018-03-06 10:47 maite Issue Monitored: networkb
2018-03-06 12:23 dmiguelez Assigned To Triage Finance => markmm82
2018-03-06 15:53 markmm82 Status new => acknowledged
2018-03-07 16:41 markmm82 Status acknowledged => scheduled
2018-03-12 21:47 markmm82 Note Added: 0103172
2018-03-22 08:29 hgbot Checkin
2018-03-22 08:29 hgbot Note Added: 0103406
2018-03-22 08:29 hgbot Status scheduled => resolved
2018-03-22 08:29 hgbot Resolution open => fixed
2018-03-22 08:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8486f723f504f0ff9b55089a831f368cc6cdf499 [^]
2018-03-22 08:29 hgbot Checkin
2018-03-22 08:29 hgbot Note Added: 0103407
2018-03-22 08:30 dmiguelez Review Assigned To => dmiguelez
2018-03-22 08:30 dmiguelez Note Added: 0103408
2018-03-22 08:30 dmiguelez Status resolved => closed
2018-03-22 08:30 dmiguelez Fixed in Version => 3.0PR18Q2
2018-03-22 15:09 hudsonbot Checkin
2018-03-22 15:09 hudsonbot Note Added: 0103432
2018-03-22 15:09 hudsonbot Checkin
2018-03-22 15:09 hudsonbot Note Added: 0103433


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker